Hello. I can't install PHP 7.4 IMAP extension using a docker image.
checking for IMAP support... yes, shared
checking for IMAP Kerberos support... yes
checking for IMAP SSL support... yes
checking for utf8_mime2text signature... new
checking for U8T_DECOMPOSE... yes
checking for pam_start in -lpam... yes
checking for crypt in -lcrypt... yes
checking for krb5-gssapi krb5... yes
configure: error: OpenSSL libraries not found.
Check the path given to --with-openssl-dir and output in config.log)
My dockerfile:
ENV DEBIAN_LIBS \
bzip2 \
chromium \
chromium-driver \
cloc \
dpkg \
firebird-dev \
git \
iputils-ping\
libaio-dev \
libbz2-dev \
libc-client-dev \
libffi-dev \
libicu-dev \
libjpeg-dev \
libkrb5-dev \
libldap2-dev\
libpng-dev \
libpq-dev \
libssl-dev \
libtidy-dev \
libxml2-dev \
libxslt-dev \
libzip-dev \
mcedit \
memcached \
openjdk-11-jdk \
openssl \
proftpd \
redis-server \
supervisor \
tesseract-ocr \
tesseract-ocr-eng \
tesseract-ocr-pol \
unixodbc-dev \
unzip \
vim \
wget \
wkhtmltopdf \
xauth \
xvfb \
zip \
zlib1g-dev \
libcurl4-openssl-dev \
pkg-config \
libsasl2-dev
docker-php-source extract \
&& docker-php-ext-configure imap --with-kerberos --with-ssl && docker-php-ext-install -j$(nproc) imap
On PHP 7.3 is working.
I'm not sure where it's looking for the libraries, but they're in the same place in 7.3 /usr/lib/x86_64-linux-gnu/
FROM php:7.4-rc
RUN apt update && apt install -y --no-install-recommends \
libc-client-dev \
libkrb5-dev \
; \
rm -rf /var/lib/apt/lists/*
RUN docker-php-ext-configure imap --with-kerberos --with-imap-ssl
Getting log output of docker-php-ext-configure between 7.3 and 7.4-rc:
$ diff -y <(docker exec f311f137216e cat /usr/src/php/ext/imap/config.log) <(docker exec 566e82137a78 cat /usr/src/php/ext/imap/config.log) > diff.log
7.3 left, 7.4-rc right
diff.log
This file contains any messages produced by compilers while This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mist running configure, to aid debugging if configure makes a mist
It was created by configure, which was It was created by configure, which was
generated by GNU Autoconf 2.69. Invocation command line was generated by GNU Autoconf 2.69. Invocation command line was
$ ./configure --build=x86_64-linux-gnu --with-kerberos --wi $ ./configure --build=x86_64-linux-gnu --with-kerberos --wi
## --------- ## ## --------- ##
## Platform. ## ## Platform. ##
## --------- ## ## --------- ##
hostname = f311f137216e | hostname = 566e82137a78
uname -m = x86_64 uname -m = x86_64
uname -r = 4.15.0-51-generic uname -r = 4.15.0-51-generic
uname -s = Linux uname -s = Linux
uname -v = #55~16.04.1-Ubuntu SMP Thu May 16 09:24:37 UTC 201 uname -v = #55~16.04.1-Ubuntu SMP Thu May 16 09:24:37 UTC 201
/usr/bin/uname -p = unknown /usr/bin/uname -p = unknown
/bin/uname -X = unknown /bin/uname -X = unknown
/bin/arch = unknown /bin/arch = unknown
/usr/bin/arch -k = unknown /usr/bin/arch -k = unknown
/usr/convex/getsysinfo = unknown /usr/convex/getsysinfo = unknown
/usr/bin/hostinfo = unknown /usr/bin/hostinfo = unknown
/bin/machine = unknown /bin/machine = unknown
/usr/bin/oslevel = unknown /usr/bin/oslevel = unknown
/bin/universe = unknown /bin/universe = unknown
PATH: /usr/local/sbin PATH: /usr/local/sbin
PATH: /usr/local/bin PATH: /usr/local/bin
PATH: /usr/sbin PATH: /usr/sbin
PATH: /usr/bin PATH: /usr/bin
PATH: /sbin PATH: /sbin
PATH: /bin PATH: /bin
## ----------- ## ## ----------- ##
## Core tests. ## ## Core tests. ##
## ----------- ## ## ----------- ##
configure:2309: checking for grep that handles long lines and | configure:2364: checking for grep that handles long lines and
configure:2367: result: /bin/grep | configure:2422: result: /bin/grep
configure:2372: checking for egrep | configure:2427: checking for egrep
configure:2434: result: /bin/grep -E | configure:2489: result: /bin/grep -E
configure:2439: checking for a sed that does not truncate out | configure:2494: checking for a sed that does not truncate out
configure:2493: result: /bin/sed | configure:2558: result: /bin/sed
configure:2630: checking for cc | configure:2697: checking for pkg-config
configure:2646: found /usr/bin/cc | configure:2715: found /usr/bin/pkg-config
configure:2657: result: cc | configure:2727: result: /usr/bin/pkg-config
configure:2688: checking for C compiler version | configure:2752: checking pkg-config is at least version 0.9.0
configure:2697: cc --version >&5 | configure:2755: result: yes
> configure:2817: checking for cc
> configure:2833: found /usr/bin/cc
> configure:2844: result: cc
> configure:2875: checking for C compiler version
> configure:2884: cc --version >&5
cc (Debian 8.3.0-6) 8.3.0 cc (Debian 8.3.0-6) 8.3.0
Copyright (C) 2018 Free Software Foundation, Inc. Copyright (C) 2018 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. This is free software; see the source for copying conditions.
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTI warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTI
configure:2708: $? = 0 | configure:2895: $? = 0
configure:2697: cc -v >&5 | configure:2884: cc -v >&5
Using built-in specs. Using built-in specs.
COLLECT_GCC=cc COLLECT_GCC=cc
COLLECT_LTO_WRAPPER=/usr/lib/gcc/x86_64-linux-gnu/8/lto-wrapp COLLECT_LTO_WRAPPER=/usr/lib/gcc/x86_64-linux-gnu/8/lto-wrapp
OFFLOAD_TARGET_NAMES=nvptx-none OFFLOAD_TARGET_NAMES=nvptx-none
OFFLOAD_TARGET_DEFAULT=1 OFFLOAD_TARGET_DEFAULT=1
Target: x86_64-linux-gnu Target: x86_64-linux-gnu
Configured with: ../src/configure -v --with-pkgversion='Debia Configured with: ../src/configure -v --with-pkgversion='Debia
Thread model: posix Thread model: posix
gcc version 8.3.0 (Debian 8.3.0-6) gcc version 8.3.0 (Debian 8.3.0-6)
configure:2708: $? = 0 | configure:2895: $? = 0
configure:2697: cc -V >&5 | configure:2884: cc -V >&5
cc: error: unrecognized command line option '-V' cc: error: unrecognized command line option '-V'
cc: fatal error: no input files cc: fatal error: no input files
compilation terminated. compilation terminated.
configure:2708: $? = 1 | configure:2895: $? = 1
configure:2697: cc -qversion >&5 | configure:2884: cc -qversion >&5
cc: error: unrecognized command line option '-qversion'; did cc: error: unrecognized command line option '-qversion'; did
cc: fatal error: no input files cc: fatal error: no input files
compilation terminated. compilation terminated.
configure:2708: $? = 1 | configure:2895: $? = 1
configure:2728: checking whether the C compiler works | configure:2915: checking whether the C compiler works
configure:2750: cc -fstack-protector-strong -fpic -fpie -O2 - | configure:2937: cc -fstack-protector-strong -fpic -fpie -O2 -
configure:2754: $? = 0 | configure:2941: $? = 0
configure:2802: result: yes | configure:2989: result: yes
configure:2805: checking for C compiler default output file n | configure:2992: checking for C compiler default output file n
configure:2807: result: a.out | configure:2994: result: a.out
configure:2813: checking for suffix of executables | configure:3000: checking for suffix of executables
configure:2820: cc -o conftest -fstack-protector-strong -fpic | configure:3007: cc -o conftest -fstack-protector-strong -fpic
configure:2824: $? = 0 | configure:3011: $? = 0
configure:2846: result: | configure:3033: result:
configure:2868: checking whether we are cross compiling | configure:3055: checking whether we are cross compiling
configure:2876: cc -o conftest -fstack-protector-strong -fpic | configure:3063: cc -o conftest -fstack-protector-strong -fpic
configure:2880: $? = 0 | configure:3067: $? = 0
configure:2887: ./conftest | configure:3074: ./conftest
configure:2891: $? = 0 | configure:3078: $? = 0
configure:2879: result: no | configure:3066: result: no
configure:2884: checking for suffix of object files | configure:3071: checking for suffix of object files
configure:2906: cc -c -fstack-protector-strong -fpic -fpie -O | configure:3093: cc -c -fstack-protector-strong -fpic -fpie -O
configure:2910: $? = 0 | configure:3097: $? = 0
configure:2931: result: o | configure:3118: result: o
configure:2935: checking whether we are using the GNU C compi | configure:3122: checking whether we are using the GNU C compi
configure:2954: cc -c -fstack-protector-strong -fpic -fpie -O | configure:3141: cc -c -fstack-protector-strong -fpic -fpie -O
configure:2954: $? = 0 | configure:3141: $? = 0
configure:2963: result: yes | configure:3150: result: yes
configure:2972: checking whether cc accepts -g | configure:3159: checking whether cc accepts -g
configure:2992: cc -c -g -fstack-protector-strong -fpic -fpie | configure:3179: cc -c -g -fstack-protector-strong -fpic -fpie
configure:2992: $? = 0 | configure:3179: $? = 0
configure:3033: result: yes | configure:3220: result: yes
configure:3050: checking for cc option to accept ISO C89 | configure:3237: checking for cc option to accept ISO C89
configure:3113: cc -c -fstack-protector-strong -fpic -fpie - | configure:3300: cc -c -fstack-protector-strong -fpic -fpie -
configure:3113: $? = 0 | configure:3300: $? = 0
configure:3126: result: none needed | configure:3313: result: none needed
configure:3152: checking how to run the C preprocessor | configure:3339: checking how to run the C preprocessor
configure:3183: cc -E -fstack-protector-strong -fpic -fpie -O | configure:3370: cc -E -fstack-protector-strong -fpic -fpie -O
configure:3183: $? = 0 | configure:3370: $? = 0
configure:3197: cc -E -fstack-protector-strong -fpic -fpie -O | configure:3384: cc -E -fstack-protector-strong -fpic -fpie -O
conftest.c:9:10: fatal error: ac_nonexistent.h: No such file conftest.c:9:10: fatal error: ac_nonexistent.h: No such file
#include <ac_nonexistent.h> #include <ac_nonexistent.h>
^~~~~~~~~~~~~~~~~~ ^~~~~~~~~~~~~~~~~~
compilation terminated. compilation terminated.
configure:3197: $? = 1 | configure:3384: $? = 1
configure: failed program was: configure: failed program was:
| /* confdefs.h */ | /* confdefs.h */
| #define PACKAGE_NAME "" | #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME "" | #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION "" | #define PACKAGE_VERSION ""
| #define PACKAGE_STRING "" | #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT "" | #define PACKAGE_BUGREPORT ""
| #define PACKAGE_URL "" | #define PACKAGE_URL ""
| /* end confdefs.h. */ | /* end confdefs.h. */
| #include <ac_nonexistent.h> | #include <ac_nonexistent.h>
configure:3222: result: cc -E | configure:3409: result: cc -E
configure:3242: cc -E -fstack-protector-strong -fpic -fpie -O | configure:3429: cc -E -fstack-protector-strong -fpic -fpie -O
configure:3242: $? = 0 | configure:3429: $? = 0
configure:3256: cc -E -fstack-protector-strong -fpic -fpie -O | configure:3443: cc -E -fstack-protector-strong -fpic -fpie -O
conftest.c:9:10: fatal error: ac_nonexistent.h: No such file conftest.c:9:10: fatal error: ac_nonexistent.h: No such file
#include <ac_nonexistent.h> #include <ac_nonexistent.h>
^~~~~~~~~~~~~~~~~~ ^~~~~~~~~~~~~~~~~~
compilation terminated. compilation terminated.
configure:3256: $? = 1 | configure:3443: $? = 1
configure: failed program was: configure: failed program was:
| /* confdefs.h */ | /* confdefs.h */
| #define PACKAGE_NAME "" | #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME "" | #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION "" | #define PACKAGE_VERSION ""
| #define PACKAGE_STRING "" | #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT "" | #define PACKAGE_BUGREPORT ""
| #define PACKAGE_URL "" | #define PACKAGE_URL ""
| /* end confdefs.h. */ | /* end confdefs.h. */
| #include <ac_nonexistent.h> | #include <ac_nonexistent.h>
configure:3287: checking for icc | configure:3474: checking for icc
configure:3296: result: no | configure:3483: result: no
configure:3310: checking for suncc | configure:3497: checking for suncc
configure:3319: result: no | configure:3506: result: no
configure:3337: checking whether cc understands -c and -o tog | configure:3524: checking for system library directory
configure:3365: cc -c conftest.c -o conftest2.o >&5 | configure:3539: result: lib
configure:3369: $? = 0 | configure:3546: checking if compiler supports -R
configure:3375: cc -c conftest.c -o conftest2.o >&5 | configure:3565: cc -o conftest -fstack-protector-strong -fpic
configure:3379: $? = 0 <
configure:3434: result: yes <
configure:3448: checking for system library directory <
configure:3463: result: lib <
configure:3470: checking if compiler supports -R <
configure:3489: cc -o conftest -fstack-protector-strong -fpic <
cc: error: unrecognized command line option '-R' cc: error: unrecognized command line option '-R'
configure:3489: $? = 1 | configure:3565: $? = 1
configure: failed program was: configure: failed program was:
| /* confdefs.h */ | /* confdefs.h */
| #define PACKAGE_NAME "" | #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME "" | #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION "" | #define PACKAGE_VERSION ""
| #define PACKAGE_STRING "" | #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT "" | #define PACKAGE_BUGREPORT ""
| #define PACKAGE_URL "" | #define PACKAGE_URL ""
| /* end confdefs.h. */ | /* end confdefs.h. */
| |
| int | int
| main () | main ()
| { | {
| |
| ; | ;
| return 0; | return 0;
| } | }
configure:3499: result: no | configure:3575: result: no
configure:3504: checking if compiler supports -Wl,-rpath, | configure:3580: checking if compiler supports -Wl,-rpath,
configure:3523: cc -o conftest -fstack-protector-strong -fpic | configure:3599: cc -o conftest -fstack-protector-strong -fpic
configure:3523: $? = 0 | configure:3599: $? = 0
configure:3533: result: yes | configure:3609: result: yes
configure:3578: checking build system type | configure:3625: checking build system type
configure:3592: result: x86_64-pc-linux-gnu | configure:3639: result: x86_64-pc-linux-gnu
configure:3612: checking host system type | configure:3659: checking host system type
configure:3625: result: x86_64-pc-linux-gnu | configure:3672: result: x86_64-pc-linux-gnu
configure:3645: checking target system type | configure:3692: checking target system type
configure:3658: result: x86_64-pc-linux-gnu | configure:3705: result: x86_64-pc-linux-gnu
configure:3761: checking for PHP prefix | configure:3808: checking for PHP prefix
configure:3763: result: /usr/local | configure:3810: result: /usr/local
configure:3765: checking for PHP includes | configure:3812: checking for PHP includes
configure:3767: result: -I/usr/local/include/php -I/usr/local | configure:3814: result: -I/usr/local/include/php -I/usr/local
configure:3769: checking for PHP extension directory | configure:3816: checking for PHP extension directory
configure:3771: result: /usr/local/lib/php/extensions/no-debu | configure:3818: result: /usr/local/lib/php/extensions/no-debu
configure:3773: checking for PHP installed headers prefix | configure:3820: checking for PHP installed headers prefix
configure:3775: result: /usr/local/include/php | configure:3822: result: /usr/local/include/php
configure:3778: checking if debug is enabled | configure:3825: checking if debug is enabled
configure:3804: result: no | configure:3851: result: no
configure:3807: checking if zts is enabled | configure:3854: checking if zts is enabled
configure:3833: result: no | configure:3880: result: no
configure:3904: checking for re2c | configure:3948: checking for gawk
configure:3920: found /usr/bin/re2c | configure:3979: result: no
configure:3931: result: re2c | configure:3948: checking for nawk
configure:3940: checking for re2c version | configure:3965: found /usr/bin/nawk
configure:3954: result: 1.1.1 (ok) | configure:3976: result: nawk
configure:3973: checking for gawk | configure:3999: checking if nawk is broken
configure:4004: result: no | configure:4006: result: no
configure:3973: checking for nawk | configure:4029: checking for IMAP support
configure:3990: found /usr/bin/nawk | configure:4069: result: yes, shared
configure:4001: result: nawk | configure:4078: checking for IMAP Kerberos support
configure:4024: checking if nawk is broken | configure:4093: result: yes
configure:4031: result: no | configure:4102: checking for IMAP SSL support
configure:4056: checking for IMAP support | configure:4117: result: yes
configure:4096: result: yes, shared | configure:4470: checking for utf8_mime2text signature
configure:4105: checking for IMAP Kerberos support | configure:4492: cc -c -I/usr/include/c-client -fstack-protect
configure:4120: result: yes <
configure:4129: checking for IMAP SSL support <
configure:4144: result: yes <
configure:4498: checking for utf8_mime2text signature <
configure:4520: cc -c -I/usr/include/c-client -fstack-protect <
conftest.c: In function 'main': conftest.c: In function 'main':
conftest.c:22:9: error: too few arguments to function 'utf8_m conftest.c:22:9: error: too few arguments to function 'utf8_m
utf8_mime2text(src, dst); utf8_mime2text(src, dst);
^~~~~~~~~~~~~~ ^~~~~~~~~~~~~~
In file included from /usr/include/c-client/c-client.h:47, In file included from /usr/include/c-client/c-client.h:47,
from conftest.c:15: from conftest.c:15:
/usr/include/c-client/utf8aux.h:37:6: note: declared here /usr/include/c-client/utf8aux.h:37:6: note: declared here
long utf8_mime2text (SIZEDTEXT *src,SIZEDTEXT *dst,long flag long utf8_mime2text (SIZEDTEXT *src,SIZEDTEXT *dst,long flag
^~~~~~~~~~~~~~ ^~~~~~~~~~~~~~
configure:4520: $? = 1 | configure:4492: $? = 1
configure: failed program was: configure: failed program was:
| /* confdefs.h */ | /* confdefs.h */
| #define PACKAGE_NAME "" | #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME "" | #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION "" | #define PACKAGE_VERSION ""
| #define PACKAGE_STRING "" | #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT "" | #define PACKAGE_BUGREPORT ""
| #define PACKAGE_URL "" | #define PACKAGE_URL ""
| #define COMPILE_DL_IMAP 1 | #define COMPILE_DL_IMAP 1
| #define HAVE_IMAP 1 | #define HAVE_IMAP 1
| #define HAVE_IMAP2000 1 | #define HAVE_IMAP2000 1
| #define HAVE_IMAP2004 1 | #define HAVE_IMAP2004 1
| /* end confdefs.h. */ | /* end confdefs.h. */
| |
| #include <stdio.h> | #include <stdio.h>
| #include <c-client.h> | #include <c-client.h>
| |
| int | int
| main () | main ()
| { | {
| |
| SIZEDTEXT *src, *dst; | SIZEDTEXT *src, *dst;
| utf8_mime2text(src, dst); | utf8_mime2text(src, dst);
| |
| ; | ;
| return 0; | return 0;
| } | }
configure:4532: result: new | configure:4504: result: new
configure:4543: checking for U8T_DECOMPOSE | configure:4515: checking for U8T_DECOMPOSE
configure:4563: cc -c -I/usr/include/c-client -fstack-protect | configure:4535: cc -c -I/usr/include/c-client -fstack-protect
In file included from /usr/include/x86_64-linux-gnu/bits/libc In file included from /usr/include/x86_64-linux-gnu/bits/libc
from /usr/include/stdlib.h:25, from /usr/include/stdlib.h:25,
from /usr/include/c-client/osdep.h:43, from /usr/include/c-client/osdep.h:43,
from /usr/include/c-client/c-client.h:42, from /usr/include/c-client/c-client.h:42,
from conftest.c:15: from conftest.c:15:
/usr/include/features.h:184:3: warning: #warning "_BSD_SOURCE /usr/include/features.h:184:3: warning: #warning "_BSD_SOURCE
# warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use
^~~~~~~ ^~~~~~~
configure:4563: $? = 0 | configure:4535: $? = 0
configure:4575: result: yes | configure:4547: result: yes
configure:4704: checking for pam_start in -lpam | configure:4676: checking for pam_start in -lpam
configure:4729: cc -o conftest -fstack-protector-strong -fpic | configure:4701: cc -o conftest -fstack-protector-strong -fpic
configure:4729: $? = 0 | configure:4701: $? = 0
configure:4738: result: yes | configure:4710: result: yes
configure:4878: checking for crypt in -lcrypt | configure:4850: checking for crypt in -lcrypt
configure:4903: cc -o conftest -fstack-protector-strong -fpic | configure:4875: cc -o conftest -fstack-protector-strong -fpic
configure:4903: $? = 0 | configure:4875: $? = 0
configure:4912: result: yes | configure:4884: result: yes
configure:5101: checking for krb5-config | configure:5067: checking for krb5-gssapi krb5
configure:5120: found /usr/bin/krb5-config | configure:5074: $PKG_CONFIG --exists --print-errors "krb5-gss
configure:5133: result: /usr/bin/krb5-config | configure:5077: $? = 0
configure:5515: checking for pkg-config | configure:5091: $PKG_CONFIG --exists --print-errors "krb5-gss
configure:5533: found /usr/bin/pkg-config | configure:5094: $? = 0
configure:5546: result: /usr/bin/pkg-config | configure:5152: result: yes
configure:6284: cc -o conftest -fstack-protector-strong -fpic | configure:5550: error: OpenSSL libraries not found.
configure:6284: $? = 0 <
configure:6284: ./conftest <
configure:6284: $? = 0 <
configure:6351: cc -o conftest -fstack-protector-strong -fpic <
conftest.c: In function 'utf8_to_mutf7_php': <
conftest.c:21:40: warning: implicit declaration of function ' <
char utf8_to_mutf7_php(){ return utf8_to_mutf7(""); } <
^~~~~~~~~~~~~ <
utf8_to_mutf7_php <
configure:6351: $? = 0 <
configure:6351: ./conftest <
configure:6351: $? = 0 <
configure:6373: checking whether rfc822_output_address_list f <
configure:6421: cc -o conftest -fstack-protector-strong -fpic <
-Wl,-rpath,/usr/lib/x86_64-linux-gnu/mit-krb5 -L/usr/l <
>&5 <
configure:6421: $? = 0 <
configure:6421: ./conftest <
configure:6421: $? = 0 <
configure:6425: result: yes <
configure:6447: checking whether build with IMAP works <
configure:6492: cc -o conftest -fstack-protector-strong -fpic <
configure:6492: $? = 0 <
configure:6492: ./conftest <
configure:6492: $? = 0 <
configure:6496: result: yes <
configure:6611: checking for ld used by cc <
configure:6678: result: /usr/bin/ld <
configure:6685: checking if the linker (/usr/bin/ld) is GNU l <
configure:6700: result: yes <
configure:6705: checking for /usr/bin/ld option to reload obj <
configure:6712: result: -r <
configure:6730: checking for BSD-compatible nm <
configure:6779: result: /usr/bin/nm -B <
configure:6783: checking whether ln -s works <
configure:6787: result: yes <
configure:6794: checking how to recognize dependent libraries <
configure:6980: result: pass_all <
configure:7065: cc -c -fstack-protector-strong -fpic -fpie -O <
configure:7068: $? = 0 <
configure:7198: checking for ANSI C header files <
configure:7218: cc -c -fstack-protector-strong -fpic -fpie -O <
configure:7218: $? = 0 <
configure:7291: cc -o conftest -fstack-protector-strong -fpic <
configure:7291: $? = 0 <
configure:7291: ./conftest <
configure:7291: $? = 0 <
configure:7302: result: yes <
configure:7315: checking for sys/types.h <
configure:7315: cc -c -fstack-protector-strong -fpic -fpie -O <
configure:7315: $? = 0 <
configure:7315: result: yes <
configure:7315: checking for sys/stat.h <
configure:7315: cc -c -fstack-protector-strong -fpic -fpie -O <
configure:7315: $? = 0 <
configure:7315: result: yes <
configure:7315: checking for stdlib.h <
configure:7315: cc -c -fstack-protector-strong -fpic -fpie -O <
configure:7315: $? = 0 <
configure:7315: result: yes <
configure:7315: checking for string.h <
configure:7315: cc -c -fstack-protector-strong -fpic -fpie -O <
configure:7315: $? = 0 <
configure:7315: result: yes <
configure:7315: checking for memory.h <
configure:7315: cc -c -fstack-protector-strong -fpic -fpie -O <
configure:7315: $? = 0 <
configure:7315: result: yes <
configure:7315: checking for strings.h <
configure:7315: cc -c -fstack-protector-strong -fpic -fpie -O <
configure:7315: $? = 0 <
configure:7315: result: yes <
configure:7315: checking for inttypes.h <
configure:7315: cc -c -fstack-protector-strong -fpic -fpie -O <
configure:7315: $? = 0 <
configure:7315: result: yes <
configure:7315: checking for stdint.h <
configure:7315: cc -c -fstack-protector-strong -fpic -fpie -O <
configure:7315: $? = 0 <
configure:7315: result: yes <
configure:7315: checking for unistd.h <
configure:7315: cc -c -fstack-protector-strong -fpic -fpie -O <
configure:7315: $? = 0 <
configure:7315: result: yes <
configure:7329: checking dlfcn.h usability <
configure:7329: cc -c -fstack-protector-strong -fpic -fpie -O <
configure:7329: $? = 0 <
configure:7329: result: yes <
configure:7329: checking dlfcn.h presence <
configure:7329: cc -E -fstack-protector-strong -fpic -fpie -O <
configure:7329: $? = 0 <
configure:7329: result: yes <
configure:7329: checking for dlfcn.h <
configure:7329: result: yes <
configure:7351: checking the maximum length of command line a <
configure:7463: result: 1572864 <
configure:7475: checking command to parse /usr/bin/nm -B outp <
configure:7580: cc -c -fstack-protector-strong -fpic -fpie -O <
configure:7583: $? = 0 <
configure:7587: /usr/bin/nm -B conftest.o \| sed -n -e 's/^.* <
configure:7590: $? = 0 <
configure:7642: cc -o conftest -fstack-protector-strong -fpic <
configure:7645: $? = 0 <
configure:7683: result: ok <
configure:7687: checking for objdir <
configure:7702: result: .libs <
configure:7794: checking for ar <
configure:7810: found /usr/bin/ar <
configure:7821: result: ar <
configure:7886: checking for ranlib <
configure:7902: found /usr/bin/ranlib <
configure:7913: result: ranlib <
configure:7978: checking for strip <
configure:7994: found /usr/bin/strip <
configure:8005: result: strip <
configure:8574: checking if cc supports -fno-rtti -fno-except <
configure:8623: cc -c -fstack-protector-strong -fpic -fpie -O <
cc1: warning: command line option '-fno-rtti' is valid for C+ <
configure:8627: $? = 0 <
configure:8609: result: no <
configure:8599: checking for cc option to produce PIC <
configure:8839: result: -fPIC <
configure:8847: checking if cc PIC flag -fPIC works <
configure:8921: cc -c -fstack-protector-strong -fpic -fpie -O <
configure:8925: $? = 0 <
configure:8882: result: yes <
configure:8881: checking if cc static flag -static works <
configure:8909: result: yes <
configure:8919: checking if cc supports -c -o file.o <
configure:9025: cc -c -fstack-protector-strong -fpic -fpie -O <
configure:9029: $? = 0 <
configure:8942: result: yes <
configure:8968: checking whether the cc linker (/usr/bin/ld - <
configure:9896: result: yes <
configure:9917: checking whether -lc should be explicitly lin <
configure:9922: cc -c -fstack-protector-strong -fpic -fpie -O <
configure:9925: $? = 0 <
configure:9940: cc -shared conftest.o -v -Wl,-soname -Wl,con <
configure:9943: $? = 0 <
configure:9955: result: no <
configure:9963: checking dynamic linker characteristics <
configure:10561: result: GNU/Linux ld.so <
configure:10585: checking how to hardcode library paths into <
configure:10610: result: immediate <
configure:10624: checking whether stripping libraries is poss <
configure:10629: result: yes <
configure:11146: checking if libtool supports shared librarie <
configure:11148: result: yes <
configure:11151: checking whether to build shared libraries <
configure:11172: result: yes <
configure:11175: checking whether to build static libraries <
configure:11179: result: no <
configure:11274: result: <
creating libtool <
configure:14964: creating ./config.status <
<
## ---------------------- ## <
## Running config.status. ## <
## ---------------------- ## <
<
This file was extended by config.status, which was <
generated by GNU Autoconf 2.69. Invocation command line was <
<
CONFIG_FILES = <
CONFIG_HEADERS = <
CONFIG_LINKS = <
CONFIG_COMMANDS = <
$ ./config.status <
on f311f137216e | Check the path given to --with-openssl-dir and output i
|
config.status:683: creating config.h <
## ---------------- ## ## ---------------- ##
## Cache variables. ## ## Cache variables. ##
## ---------------- ## ## ---------------- ##
ac_cv_build=x86_64-pc-linux-gnu ac_cv_build=x86_64-pc-linux-gnu
ac_cv_c_compiler_gnu=yes ac_cv_c_compiler_gnu=yes
ac_cv_env_CC_set= ac_cv_env_CC_set=
ac_cv_env_CC_value= ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=set ac_cv_env_CFLAGS_set=set
ac_cv_env_CFLAGS_value='-fstack-protector-strong -fpic -fpie ac_cv_env_CFLAGS_value='-fstack-protector-strong -fpic -fpie
ac_cv_env_CPPFLAGS_set=set ac_cv_env_CPPFLAGS_set=set
ac_cv_env_CPPFLAGS_value='-fstack-protector-strong -fpic -fpi ac_cv_env_CPPFLAGS_value='-fstack-protector-strong -fpic -fpi
ac_cv_env_CPP_set= ac_cv_env_CPP_set=
ac_cv_env_CPP_value= ac_cv_env_CPP_value=
> ac_cv_env_KERBEROS_CFLAGS_set=
> ac_cv_env_KERBEROS_CFLAGS_value=
> ac_cv_env_KERBEROS_LIBS_set=
> ac_cv_env_KERBEROS_LIBS_value=
ac_cv_env_LDFLAGS_set=set ac_cv_env_LDFLAGS_set=set
ac_cv_env_LDFLAGS_value='-Wl,-O1 -Wl,--hash-style=both -pie' ac_cv_env_LDFLAGS_value='-Wl,-O1 -Wl,--hash-style=both -pie'
ac_cv_env_LIBS_set= ac_cv_env_LIBS_set=
ac_cv_env_LIBS_value= ac_cv_env_LIBS_value=
> ac_cv_env_OPENSSL_CFLAGS_set=
> ac_cv_env_OPENSSL_CFLAGS_value=
> ac_cv_env_OPENSSL_LIBS_set=
> ac_cv_env_OPENSSL_LIBS_value=
> ac_cv_env_PKG_CONFIG_LIBDIR_set=
> ac_cv_env_PKG_CONFIG_LIBDIR_value=
> ac_cv_env_PKG_CONFIG_PATH_set=
> ac_cv_env_PKG_CONFIG_PATH_value=
> ac_cv_env_PKG_CONFIG_set=
> ac_cv_env_PKG_CONFIG_value=
ac_cv_env_build_alias_set=set ac_cv_env_build_alias_set=set
ac_cv_env_build_alias_value=x86_64-linux-gnu ac_cv_env_build_alias_value=x86_64-linux-gnu
ac_cv_env_host_alias_set= ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value= ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set= ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value= ac_cv_env_target_alias_value=
ac_cv_header_dlfcn_h=yes <
ac_cv_header_inttypes_h=yes <
ac_cv_header_memory_h=yes <
ac_cv_header_stdc=yes <
ac_cv_header_stdint_h=yes <
ac_cv_header_stdlib_h=yes <
ac_cv_header_string_h=yes <
ac_cv_header_strings_h=yes <
ac_cv_header_sys_stat_h=yes <
ac_cv_header_sys_types_h=yes <
ac_cv_header_unistd_h=yes <
ac_cv_host=x86_64-pc-linux-gnu ac_cv_host=x86_64-pc-linux-gnu
ac_cv_lib_crypt_crypt=yes ac_cv_lib_crypt_crypt=yes
ac_cv_lib_pam_pam_start=yes ac_cv_lib_pam_pam_start=yes
ac_cv_objext=o ac_cv_objext=o
ac_cv_path_EGREP='/bin/grep -E' ac_cv_path_EGREP='/bin/grep -E'
ac_cv_path_GREP=/bin/grep ac_cv_path_GREP=/bin/grep
ac_cv_path_KRB5_CONFIG=/usr/bin/krb5-config | ac_cv_path_SED=/bin/sed
ac_cv_path_PKG_CONFIG=/usr/bin/pkg-config | ac_cv_path_ac_pt_PKG_CONFIG=/usr/bin/pkg-config
ac_cv_prog_AWK=nawk ac_cv_prog_AWK=nawk
ac_cv_prog_CPP='cc -E' ac_cv_prog_CPP='cc -E'
ac_cv_prog_RE2C=re2c <
ac_cv_prog_ac_ct_AR=ar <
ac_cv_prog_ac_ct_CC=cc ac_cv_prog_ac_ct_CC=cc
ac_cv_prog_ac_ct_RANLIB=ranlib <
ac_cv_prog_ac_ct_STRIP=strip <
ac_cv_prog_cc_c89= ac_cv_prog_cc_c89=
ac_cv_prog_cc_cc_c_o=yes <
ac_cv_prog_cc_g=yes ac_cv_prog_cc_g=yes
ac_cv_target=x86_64-pc-linux-gnu ac_cv_target=x86_64-pc-linux-gnu
ac_cv_u8t_decompose=yes ac_cv_u8t_decompose=yes
ac_cv_utf8_mime2text=new ac_cv_utf8_mime2text=new
lt_cv_deplibs_check_method=pass_all <
lt_cv_file_magic_cmd='$MAGIC_CMD' <
lt_cv_file_magic_test_file= <
lt_cv_ld_reload_flag=-r <
lt_cv_objdir=.libs <
lt_cv_path_LD=/usr/bin/ld <
lt_cv_path_NM='/usr/bin/nm -B' <
lt_cv_path_SED=/bin/sed <
lt_cv_prog_compiler_c_o=yes <
lt_cv_prog_compiler_pic_works=yes <
lt_cv_prog_compiler_rtti_exceptions=no <
lt_cv_prog_compiler_static_works=yes <
lt_cv_prog_gnu_ld=yes <
lt_cv_sys_global_symbol_pipe='sed -n -e '\''s/^.*[ ]\([A <
lt_cv_sys_global_symbol_to_c_name_address='sed -n -e '\''s/^: <
lt_cv_sys_global_symbol_to_cdecl='sed -n -e '\''s/^. .* \(.*\ <
lt_cv_sys_lib_dlsearch_path_spec='/lib /usr/lib /usr/local/li <
lt_cv_sys_lib_search_path_spec='/usr/lib/gcc/x86_64-linux-gnu <
lt_cv_sys_max_cmd_len=1572864 <
lt_lt_cv_prog_compiler_c_o='"yes"' <
lt_lt_cv_sys_global_symbol_pipe='"sed -n -e '\''s/^.*[ ]\\([ <
lt_lt_cv_sys_global_symbol_to_c_name_address='"sed -n -e '\'' <
lt_lt_cv_sys_global_symbol_to_cdecl='"sed -n -e '\''s/^. .* \ <
php_cv_cc_dashr=no php_cv_cc_dashr=no
php_cv_cc_rpath=yes php_cv_cc_rpath=yes
php_cv_re2c_version='1.1.1 (ok)' | pkg_cv_KERBEROS_CFLAGS='-isystem /usr/include/mit-krb5'
> pkg_cv_KERBEROS_LIBS='-L/usr/lib/x86_64-linux-gnu/mit-krb5 -l
## ----------------- ## ## ----------------- ##
## Output variables. ## ## Output variables. ##
## ----------------- ## ## ----------------- ##
AR='ar' | AR=''
AWK='nawk' AWK='nawk'
CC='cc' CC='cc'
CFLAGS='-fstack-protector-strong -fpic -fpie -O2' CFLAGS='-fstack-protector-strong -fpic -fpie -O2'
CONFIGURE_COMMAND=' '\''./configure'\'' '\''--build=x86_64-l CONFIGURE_COMMAND=' '\''./configure'\'' '\''--build=x86_64-l
CONFIGURE_OPTIONS=' '\''--build=x86_64-linux-gnu'\'' '\''--wi CONFIGURE_OPTIONS=' '\''--build=x86_64-linux-gnu'\'' '\''--wi
CPP='cc -E' CPP='cc -E'
CPPFLAGS='-fstack-protector-strong -fpic -fpie -O2 -DHAVE_CON | CPPFLAGS='-fstack-protector-strong -fpic -fpie -O2'
DEFS='-DHAVE_CONFIG_H' | DEFS=''
DSYMUTIL='' DSYMUTIL=''
ECHO='echo' ECHO='echo'
ECHO_C='' ECHO_C=''
ECHO_N='-n' ECHO_N='-n'
ECHO_T='' ECHO_T=''
EGREP='/bin/grep -E' EGREP='/bin/grep -E'
EXEEXT='' EXEEXT=''
GREP='/bin/grep' GREP='/bin/grep'
KRB5_CONFIG='/usr/bin/krb5-config' | KERBEROS_CFLAGS='-isystem /usr/include/mit-krb5'
> KERBEROS_LIBS='-L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_
LDFLAGS='-Wl,-O1 -Wl,--hash-style=both -pie' LDFLAGS='-Wl,-O1 -Wl,--hash-style=both -pie'
LIBOBJS='' LIBOBJS=''
LIBS='' LIBS=''
LIBTOOL='$(SHELL) $(top_builddir)/libtool' | LIBTOOL=''
LN_S='ln -s' | LN_S=''
LTLIBOBJS='' LTLIBOBJS=''
NMEDIT='' NMEDIT=''
OBJEXT='o' OBJEXT='o'
OPENSSL_INCDIR_OPT='-I/usr/include' | OPENSSL_CFLAGS=''
> OPENSSL_LIBS=''
PACKAGE_BUGREPORT='' PACKAGE_BUGREPORT=''
PACKAGE_NAME='' PACKAGE_NAME=''
PACKAGE_STRING='' PACKAGE_STRING=''
PACKAGE_TARNAME='' PACKAGE_TARNAME=''
PACKAGE_URL='' PACKAGE_URL=''
PACKAGE_VERSION='' PACKAGE_VERSION=''
PATH_SEPARATOR=':' PATH_SEPARATOR=':'
PKG_CONFIG='/usr/bin/pkg-config' PKG_CONFIG='/usr/bin/pkg-config'
RANLIB='ranlib' | PKG_CONFIG_LIBDIR=''
RE2C='re2c' | PKG_CONFIG_PATH=''
> RANLIB=''
SED='/bin/sed' SED='/bin/sed'
SHELL='/bin/bash' SHELL='/bin/bash'
SHLIB_DL_SUFFIX_NAME='so' SHLIB_DL_SUFFIX_NAME='so'
SHLIB_SUFFIX_NAME='so' SHLIB_SUFFIX_NAME='so'
STRIP='strip' | STRIP=''
ac_ct_CC='cc' ac_ct_CC='cc'
bindir='${exec_prefix}/bin' bindir='${exec_prefix}/bin'
build='x86_64-pc-linux-gnu' build='x86_64-pc-linux-gnu'
build_alias='x86_64-linux-gnu' build_alias='x86_64-linux-gnu'
build_cpu='x86_64' build_cpu='x86_64'
build_os='linux-gnu' build_os='linux-gnu'
build_vendor='pc' build_vendor='pc'
datadir='${datarootdir}' datadir='${datarootdir}'
datarootdir='${prefix}/share' datarootdir='${prefix}/share'
docdir='${datarootdir}/doc/${PACKAGE}' docdir='${datarootdir}/doc/${PACKAGE}'
dvidir='${docdir}' dvidir='${docdir}'
exec_prefix='$(prefix)' | exec_prefix='NONE'
host='x86_64-pc-linux-gnu' host='x86_64-pc-linux-gnu'
host_alias='x86_64-pc-linux-gnu' host_alias='x86_64-pc-linux-gnu'
host_cpu='x86_64' host_cpu='x86_64'
host_os='linux-gnu' host_os='linux-gnu'
host_vendor='pc' host_vendor='pc'
htmldir='${docdir}' htmldir='${docdir}'
includedir='${prefix}/include' includedir='${prefix}/include'
infodir='${datarootdir}/info' infodir='${datarootdir}/info'
libdir='${exec_prefix}/lib' libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec' libexecdir='${exec_prefix}/libexec'
localedir='${datarootdir}/locale' localedir='${datarootdir}/locale'
localstatedir='${prefix}/var' localstatedir='${prefix}/var'
mandir='${datarootdir}/man' mandir='${datarootdir}/man'
oldincludedir='/usr/include' oldincludedir='/usr/include'
pdfdir='${docdir}' pdfdir='${docdir}'
prefix='/usr/local' prefix='/usr/local'
program_transform_name='s,x,x,' program_transform_name='s,x,x,'
psdir='${docdir}' psdir='${docdir}'
runstatedir='${localstatedir}/run' runstatedir='${localstatedir}/run'
sbindir='${exec_prefix}/sbin' sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com' sharedstatedir='${prefix}/com'
sysconfdir='${prefix}/etc' sysconfdir='${prefix}/etc'
target='x86_64-pc-linux-gnu' target='x86_64-pc-linux-gnu'
target_alias='' target_alias=''
target_cpu='x86_64' target_cpu='x86_64'
target_os='linux-gnu' target_os='linux-gnu'
target_vendor='pc' target_vendor='pc'
## ----------- ## ## ----------- ##
## confdefs.h. ## ## confdefs.h. ##
## ----------- ## ## ----------- ##
/* confdefs.h */ /* confdefs.h */
#define PACKAGE_NAME "" #define PACKAGE_NAME ""
#define PACKAGE_TARNAME "" #define PACKAGE_TARNAME ""
#define PACKAGE_VERSION "" #define PACKAGE_VERSION ""
#define PACKAGE_STRING "" #define PACKAGE_STRING ""
#define PACKAGE_BUGREPORT "" #define PACKAGE_BUGREPORT ""
#define PACKAGE_URL "" #define PACKAGE_URL ""
#define COMPILE_DL_IMAP 1 #define COMPILE_DL_IMAP 1
#define HAVE_IMAP 1 #define HAVE_IMAP 1
#define HAVE_IMAP2000 1 #define HAVE_IMAP2000 1
#define HAVE_IMAP2004 1 #define HAVE_IMAP2004 1
#define HAVE_NEW_MIME2TEXT 1 #define HAVE_NEW_MIME2TEXT 1
#define HAVE_LIBPAM 1 #define HAVE_LIBPAM 1
#define HAVE_LIBCRYPT 1 #define HAVE_LIBCRYPT 1
#define HAVE_IMAP_KRB 1 #define HAVE_IMAP_KRB 1
#define HAVE_IMAP_SSL 1 <
#define HAVE_IMAP_AUTH_GSS 1 <
#define HAVE_IMAP_MUTF7 1 <
#define HAVE_RFC822_OUTPUT_ADDRESS_LIST 1 <
#define STDC_HEADERS 1 <
#define HAVE_SYS_TYPES_H 1 <
#define HAVE_SYS_STAT_H 1 <
#define HAVE_STDLIB_H 1 <
#define HAVE_STRING_H 1 <
#define HAVE_MEMORY_H 1 <
#define HAVE_STRINGS_H 1 <
#define HAVE_INTTYPES_H 1 <
#define HAVE_STDINT_H 1 <
#define HAVE_UNISTD_H 1 <
#define HAVE_DLFCN_H 1 <
configure: exit 0 | configure: exit 1
So this is bug of php-src or dockerfile ?
You confirmed my bug, yes ?
I'd imagine this is an issue with php:7.4-rc upstream. I don't think there's anything we've omitted or modified between the two that would have caused this
Okey, thank you for answer ;)
I noticed in one section there exists some new variables in php:7.4-rc: OPENSSL_LIBS
ac_cv_env_LIBS_set= ac_cv_env_LIBS_set=
ac_cv_env_LIBS_value= ac_cv_env_LIBS_value=
> ac_cv_env_OPENSSL_CFLAGS_set=
> ac_cv_env_OPENSSL_CFLAGS_value=
> ac_cv_env_OPENSSL_LIBS_set=
> ac_cv_env_OPENSSL_LIBS_value=
I'm not sure where to assign that at, as it doesn't appear to read it from the environment variables. I'm not terribly familiar with php
Seems like it's normal for these values to be unset, looking at other builds with the variable ac_cv_env_OPENSSL_LIBS_value in google shows them all unset.
And I just don't know the language in which this configuration is described, so I won't help much in this issue.
I prepared my project from 7.3.9-apache-stretch to 7.4.0-rc-apache-buster.
The configuration of the extensions, as I said, was the same. It wasn't until IMAP that "something went wrong".
However, I prefer to stay with pure PHP.
I hope you will find a solution ;)
It looks like where 7.4-rc added those OPENSSL_LIBS variables that it dropped OPENSSL_INCDIR_OPT='-I/usr/include'.
An attempt to adjust for that
# docker-php-ext-configure imap --with-kerberos --with-imap-ssl --with-libdir=/usr/include/
. . .
configure: error: Cannot find imap library (libc-client.a). Please check your c-client installation.
Another try
# find / -name libc-client.a
/usr/lib/libc-client.a
# cp /usr/lib/libc-client.a /usr/include/
# docker-php-ext-configure imap --with-kerberos --with-imap-ssl --with-libdir=/usr/include/
. . .
configure: error: Cannot find imap library (libc-client.a). Please check your c-client installation.
I'm not sure why the configure script can't detect the --with-openssl of PHP itself properly, but I was able to get it to build successfully with the following:
FROM php:7.4-rc
RUN set -eux; \
apt-get update; \
apt-get install -y --no-install-recommends \
libc-client-dev \
libkrb5-dev \
; \
rm -rf /var/lib/apt/lists/*
RUN set -eux; \
PHP_OPENSSL=yes docker-php-ext-configure imap --with-kerberos --with-imap-ssl; \
docker-php-ext-install imap
$ docker run --rm 48ea37b4a33e php -m | grep -i imap
imap
$ docker run --rm 48ea37b4a33e php -i | grep -i imap
Additional .ini files parsed => /usr/local/etc/php/conf.d/docker-php-ext-imap.ini,
Protocols => dict, file, ftp, ftps, gopher, http, https, imap, imaps, ldap, ldaps, pop3, pop3s, rtmp, rtsp, scp, sftp, smb, smbs, smtp, smtps, telnet, tftp
imap
IMAP c-Client Version => 2007f
imap.enable_insecure_rsh => Off => Off
I confirm, PHP_OPENSSL=yes resolve issue ;>
Excellent, thanks for confirming and glad we could figure out a solution. :+1:
See https://github.com/php/php-src/pull/5091
Probably the option PHP_OPENSSL=yes won't need it anymore I think.
Confirmed. I had old php:7.4-apache image and tried to build an image on top of it and it failed to install the imap for the same reasons. Have read Michal's latest comment, just pulled the new image and the build went without any errors. So yes, the PHP_OPENSSL=yes is not required anymore.
Most helpful comment
I'm not sure why the configure script can't detect the
--with-opensslof PHP itself properly, but I was able to get it to build successfully with the following: